\documentclass[11pt,a4paper]{article}

\usepackage{fullpage, amssymb, amsthm, enumerate, amsmath, pictexwd, mathrsfs, ../yomcat, ../dcpic, ../diagrams}

\pagestyle{empty}

\setlength{\arraycolsep}{2pt}
\setlength{\parskip}{1ex}
\setlength{\parindent}{0pt}

\begin{document}

\begin{center}
{\bf Victoria University of Wellington}\\[1ex]
{\bf School of Mathematics, Statistics \& Operations Research}\\
\end{center}

\hrule
MATH 437 \hfill
Assignment 4 \hfill
Michael Welsh (301012788)
\vspace{1ex}\hrule\vspace{1ex}

\begin{enumerate}
	\item \begin{enumerate}
		\item Assume that \lt($G$) = \lt($I$). In other words, \ideal{\lt(g) | g \in G} = \ideal{\lt(\iota) | \iota \in I}. Pick a $f \in I$. Then $\lt(f) \in \lt(I)$, and hence $\lt(f) \in \lt(G)$. So $\lt(f) = \sum\alpha_i\lt(g_i)$, for some $\alpha_i \in k[\vect{x}{n}]$. But \lt($f$) is a monomial, so it can only have one term. Hence $\lt(f) = \alpha_i\lt(g_i)$, for some $i$. Let $\lp(g_i) = \gamma\lt(g_i)$ and let $\lp(f) = \beta\lt(f)$, for some $\beta, \gamma \in k$. Then $\lp(f) = \frac{\beta}{\gamma}\alpha_i\lp(g_i)$ and hence $\lp(g_i)|\lp(f)$, and so $G$ is a Gr\"obner basis. \pend
		\item Let $f$ be an arbitrary element of $I$. Then, by (3) of Theorem 7.1, $f = \sum h_ig_i$ and hence $f \in \ideal{\vect{g}{s}}$, and so $I = \ideal{\vect{g}{s}}$. \pend
		\item Assume that $r$ isn't unique. Then $f \rto{G} r$ and $f \rto{G} r'$. So $f = g + r = g' + r'$. Then $r - r' = g - g' \in I$. As $r \neq r'$, $\lt(r - r') \in \lt(I) = \lt(G)$. Hence \lt($r - r'$) is divisible by some \lt($g_i$). But this can't happen as $r$ and $r'$ are remainders after reducing by $G$, so $r - r' = 0$ and hence the remainder after reduction by $G$ is unique. \pend
	\end{enumerate}
	\item Let $\mf{g} = \textsc{gcd}(\vect{g}{s})$. Assume that $G$ is a Gr\"obner basis for $I = \ideal{\vect{g}{s}} = \ideal{\mf{g}}$. Pick $f \in I$. Then $f = \alpha\mf{g} = \sum u_ig_i$, where $\alpha, u_i \in k[x]$. As $G$ is a Gr\"obner basis, there exists $g_i \in G$ such that $\lp(g_i)|\lp(f)$. \\
	I get lost around here.
	\item \begin{enumerate}
		\item With {\sc lex} ordering, $\textsc{lp}(f) = x^2yz$ and $\textsc{lp}(g) = xy^2$, so $l = \textsc{lcm}(\textsc{lp}(f), \textsc{lp}(g)) = x^2y^2z$. Then \begin{align*}
			S(f,g) &= \displaystyle\frac{l}{\lt(f)}f - \displaystyle\frac{l}{\lt(g)}g \\
			&= \displaystyle\frac{x^2y^2z}{3x^2yz}(3x^2yz - xy^3) - \displaystyle\frac{x^2y^2z}{xy^2}(xy^2 + z^2) \\
			&= \frac{y}{3}(3x^2yz - xy^3) - (xz)(xy^2 + z^2) \\
			&= x^2y^2z - \frac{1}{3}xy^4 - x^2y^2z - xz^3 \\
			&= \frac{-xy^4}{3} - xz^3
		\end{align*}
		\item With {\sc deglex} ordering, $\textsc{lp}(f) = x^2yz$ and $\textsc{lp}(g) = xy^2$, so $l = \textsc{lcm}(\textsc{lp}(f), \textsc{lp}(g)) = x^2y^2z$. Then \begin{align*}
			S(f,g) &= \displaystyle\frac{l}{\lt(f)}f - \displaystyle\frac{l}{\lt(g)}g \\
			&= \displaystyle\frac{x^2y^2z}{3x^2yz}(3x^2yz - xy^3) - \displaystyle\frac{x^2y^2z}{xy^2}(xy^2 + z^2) \\
			&= \frac{y}{3}(3x^2yz - xy^3) - (xz)(xy^2 + z^2) \\
			&= x^2y^2z - \frac{1}{3}xy^4 - x^2y^2z - xz^3 \\
			&= \frac{-xy^4}{3} - xz^3
		\end{align*}
		\item With {\sc degrevlex} ordering, $\textsc{lp}(f) = xy^3$ and $\textsc{lp}(g) = xy^2$, so $l = \textsc{lcm}(\textsc{lp}(f), \textsc{lp}(g)) = xy^3$. Then \begin{align*}
			S(f,g) &= \displaystyle\frac{l}{\lt(f)}f - \displaystyle\frac{l}{\lt(g)}g \\
			&= \displaystyle\frac{xy^3}{-xy^3}(-xy^3 + 3x^2yz) - \displaystyle\frac{xy^3}{xy^2}(xy^2 + z^2) \\
			&= -(-xy^3 + 3x^2yz) - y(xy^2 + x^2) \\
			&= xy^3 - 3x^2yz - xy^3 - x^2y \\
			&= -3x^2yz - x^2y
		\end{align*}
	\end{enumerate}
	\item I'm assuming that a consistent term order is being used, over the polynomial ring $k[\vect{x}{n}]$ As $f \rTo^{f_1} h_1$, $h_1 = f - \frac{\lt(f)}{\lt(f_1)}f_1$, and likewise $h_2 = f - \frac{\lt(f)}{\lt(f_2)}f_2$. So \begin{align*}
		h_1 - h_2 &= \left(f - \frac{\lt(f)}{\lt(f_1)}f_1\right) - \left(f - \frac{\lt(f)}{\lt(f_2)}f_2\right) \\
		&= -\frac{\lt(f)}{\lt(f_1)}f_1 + \frac{\lt(f)}{\lt(f_2)}f_2 \\
		&= \lt(f)\left(\frac{-1}{\lt(f_1)}f_1 + \frac{1}{\lt(f_2)}f_2 \right)
	\end{align*}
	However, $\lt(f) = \kappa \cdot \lp(f)$, for some $\kappa \in k$. We also know that $\lp(f_1) | \lp(f)$ and $\lp(f_2) | \lp(f)$. So $\textsc{lcm}(\lp(f_1),\lp(f_2)) | \lp(f)$ and hence $\lt(f) = g \cdot \textsc{lcm}(\lp(f_1),\lp(f_2))$, for some $g \in k[\vect{x}{n}]$. Let $l = \textsc{lcm}(\lp(f_1),\lp(f_2))$. Then \begin{align*}
		h_1 - h_2 &= -\lt(f)\left(\frac{1}{\lt(f_1)}f_1 - \frac{1}{\lt(f_2)}f_2 \right) \\
		&= -gl\left(\frac{1}{\lt(f_1)}f_1 - \frac{1}{\lt(f_2)}f_2 \right) \\
		&= -g\left(\frac{l}{\lt(f_1)}f_1 - \frac{l}{\lt(f_2)}f_2 \right) \\
		&= -g \cdot S(f_1,f_2)
	\end{align*} \pend
	\item By Buchberger's Theorem, $F = \{f_1, f_2, f_3, f_4\}$ is a Gr\"obner basis for \ideal{f_1, f_2, f_3, f_4} iff, for all $i \neq j$, $S(f_i, f_j) \rto{F}0$. I'll begin by calculating all the $S$--polynomials: \begin{align*}
		s_1 &= S(f_1, f_2) = xzw - y^3w \\
		s_2 &= S(f_1, f_3) = xw^3 - y^2zw \\
		s_3 &= S(f_1, f_4) = xw - y^2w^4\\
		s_4 &= S(f_2, f_3) = yw^3 - z^2w \\
		s_5 &= S(f_2, f_4) = yw - zw^4 \\
		s_6 &= S(f_3, f_4) = zw - w^6
	\end{align*}
	Using Wolfram$|$Alpha, I arrived at the following: \begin{align*}
		s_1 &= wzf_1 - wy^2f_2 \\
		s_2 &= w^3f_1 + (w^5z+w^4y-w^2z^2-wyz)f_2 - w^3z^2f_3 \\
		s_3 &= wf_1 + (-z + w^5 - w^4y + w^3z + w^2y)f_2 + (-w^9 + w^7 - w^6z + w^4z)f_3 - w^9f_4 \\
		s_4 &= w^3f_2 - wzf_3 \\
		s_5 &= wf_2 + (w^2 - w^4)f_3 - w^4f_4 \\
		s_6 &= wf_3 - w^3f_4
	\end{align*}
	As all the relevant $S(f_i, f_j)$ reduce to 0, $F$ is a Gr\"obner basis for \ideal{f_1, f_2, f_3, f_4}.
	\item Gr\"obner basis calculated using Sage (which uses Singular): \\
		\texttt{sage: R.<x,y,z> = PolynomialRing(QQ, order=`deglex')} \\
		\texttt{sage: I = R.ideal(x\^{}2*y + z, x*z + y)} \\
		\texttt{sage: I.groebner\_basis()} \\
		\texttt{[x\^{}2*y + z, x*y\^{}2 - z\^{}2, y\^{}3 + z\^{}3, x*z + y]} \\
	So, a Gr\"obner basis for \ideal{x^2y + z, xz + y} is
	\[G = \{ x^2y + z, xy^2 - z^2, y^3 + z^3, xz +y \}\]
	\item \begin{enumerate}
		\item Again, I've used the Sage/Singular combination: \\
			\texttt{sage: R.<x,y> = PolynomialRing(QQ, order=`lex')}\\
			\texttt{sage: f\_1 = x\^{}2 + y\^{}2 + 1} \\
			\texttt{sage: f\_2 = x\^{}2 * y + 2 * x * y + x} \\
			\texttt{sage: I = R.ideal(f\_1, f\_2)} \\
			\texttt{sage: I.groebner\_basis()} \\
			\texttt{[x - 4/5*y\^{}5 + 2/5*y\^{}4 - 5*y\^{}3 - 6/5*y\^{}2 - 21/5*y - 8/5, y\^{}6 + 6*y\^{}4 + 4*y\^{}3 + 6*y\^{}2 + 4*y + 1]} \\
		So, a Gr\"obner basis for \ideal{f_1, f_2} over \mbb{Q} is 
		\[\widehat{G} = \left\{x - \frac{4y^5 + 2y^4 - 25y^3 - 6y^2 - 21y - 8}{5}, y^6 + 6y^4 + 4y^3 + 6y^2 + 4y + 1\right\}\]
		\item Once again, I use Sage/Singular (following on from part (a)): \\
			\texttt{sage: I.change\_ring(R.change\_ring(GF(5))).groebner\_basis()} \\
			\texttt{[x\^{}2 + y\^{}2 + 1, x*y - 2*x + 2*y\^{}3 + 2*y, y\^{}5 + 2*y\^{}4 - y\^{}2 - y + 2]} \\
		So, a Gr\"obner basis for \ideal{f_1, f_2} over \mz{5} is
		\[G_5 = \{ x^2 + y^2 + 1, xy - 2x + 2y^3 + 2y, y^5 + 2y^4 - y^2 - y + 2 \}\]
	\end{enumerate}
\end{enumerate}

\end{document}